Package: org.codehaus.groovy.antlr.java

## [Java] Class JavaLexer

- org.codehaus.groovy.antlr.java.JavaLexer

- All Implemented Interfaces and Traits:
    JavaTokenTypes, TokenStream

      public class JavaLexer
      extends antlrCharScanner
      implements JavaTokenTypes, TokenStream

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `SCS_SQ_TYPE` |
    `protected static int` | `SCS_TYPE` |
    `static BitSet` | `_tokenSet_0` |
    `static BitSet` | `_tokenSet_1` |
    `static BitSet` | `_tokenSet_2` |
    `static BitSet` | `_tokenSet_3` |
    `static BitSet` | `_tokenSet_4` |
    `static BitSet` | `_tokenSet_5` |
    `protected int` | `lastSigTokenType` |
    `protected JavaRecognizer` | `parser` |
    `protected int` | `stringCtorState` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaLexer (InputStream in)`
    `JavaLexer (Reader in)`
    `JavaLexer (InputBuffer ib)`
    `JavaLexer (LexerSharedInputState state)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `enableAssert(boolean shouldEnable)` Enable the "assert" keyword
    `` | `public void` | `enableEnum(boolean shouldEnable)` Enable the "enum" keyword
    `` | `public boolean` | `isAssertEnabled()` Query the "assert" keyword state
    `` | `public boolean` | `isEnumEnabled()` Query the "enum" keyword state
    `` | `public final void` | `mASSIGN(boolean _createToken)`
    `` | `public final void` | `mAT(boolean _createToken)`
    `` | `public final void` | `mBAND(boolean _createToken)`
    `` | `public final void` | `mBAND_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mBNOT(boolean _createToken)`
    `` | `public final void` | `mBOR(boolean _createToken)`
    `` | `public final void` | `mBOR_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mBSR(boolean _createToken)`
    `` | `public final void` | `mBSR_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mBXOR(boolean _createToken)`
    `` | `public final void` | `mBXOR_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mCHAR_LITERAL(boolean _createToken)`
    `` | `public final void` | `mCOLON(boolean _createToken)`
    `` | `public final void` | `mCOMMA(boolean _createToken)`
    `` | `public final void` | `mDEC(boolean _createToken)`
    `` | `protected final void` | `mDIGIT(boolean _createToken)`
    `` | `protected final void` | `mDIGITS_WITH_UNDERSCORE(boolean _createToken)`
    `` | `protected final void` | `mDIGITS_WITH_UNDERSCORE_OPT(boolean _createToken)`
    `` | `public final void` | `mDIV(boolean _createToken)`
    `` | `public final void` | `mDIV_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mEQUAL(boolean _createToken)`
    `` | `protected final void` | `mESC(boolean _createToken)`
    `` | `protected final void` | `mEXPONENT(boolean _createToken)`
    `` | `protected final void` | `mFLOAT_SUFFIX(boolean _createToken)`
    `` | `public final void` | `mGE(boolean _createToken)`
    `` | `public final void` | `mGT(boolean _createToken)`
    `` | `protected final void` | `mHEX_DIGIT(boolean _createToken)`
    `` | `public final void` | `mIDENT(boolean _createToken)`
    `` | `public final void` | `mINC(boolean _createToken)`
    `` | `public final void` | `mLAND(boolean _createToken)`
    `` | `public final void` | `mLBRACK(boolean _createToken)`
    `` | `public final void` | `mLCURLY(boolean _createToken)`
    `` | `public final void` | `mLE(boolean _createToken)`
    `` | `public final void` | `mLNOT(boolean _createToken)`
    `` | `public final void` | `mLOR(boolean _createToken)`
    `` | `public final void` | `mLPAREN(boolean _createToken)`
    `` | `public final void` | `mLT(boolean _createToken)`
    `` | `public final void` | `mMINUS(boolean _createToken)`
    `` | `public final void` | `mMINUS_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mML_COMMENT(boolean _createToken)`
    `` | `public final void` | `mMOD(boolean _createToken)`
    `` | `public final void` | `mMOD_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mNOT_EQUAL(boolean _createToken)`
    `` | `public final void` | `mNUM_INT(boolean _createToken)`
    `` | `public final void` | `mPLUS(boolean _createToken)`
    `` | `public final void` | `mPLUS_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mQUESTION(boolean _createToken)`
    `` | `public final void` | `mRBRACK(boolean _createToken)`
    `` | `public final void` | `mRCURLY(boolean _createToken)`
    `` | `public final void` | `mRPAREN(boolean _createToken)`
    `` | `public final void` | `mSEMI(boolean _createToken)`
    `` | `public final void` | `mSL(boolean _createToken)`
    `` | `public final void` | `mSL_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mSL_COMMENT(boolean _createToken)`
    `` | `public final void` | `mSR(boolean _createToken)`
    `` | `public final void` | `mSR_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mSTAR(boolean _createToken)`
    `` | `public final void` | `mSTAR_ASSIGN(boolean _createToken)`
    `` | `public final void` | `mSTRING_LITERAL(boolean _createToken)`
    `` | `protected final void` | `mVOCAB(boolean _createToken)`
    `` | `public final void` | `mWS(boolean _createToken)`
    `` | `public Token` | `nextToken()`
    `` | `public Token` | `nextToken()`
    `` | `public TokenStream` | `plumb()` This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed.

- - ### Field Detail

    - #### protected static final int SCS_SQ_TYPE

    - #### protected static final int SCS_TYPE

    - #### public static final BitSet _tokenSet_0

    - #### public static final BitSet _tokenSet_1

    - #### public static final BitSet _tokenSet_2

    - #### public static final BitSet _tokenSet_3

    - #### public static final BitSet _tokenSet_4

    - #### public static final BitSet _tokenSet_5

    - #### protected int lastSigTokenType

    - #### protected JavaRecognizer parser

    - #### protected int stringCtorState

  - ### Constructor Detail

    - #### public JavaLexer(InputStream in)

    - #### public JavaLexer(Reader in)

    - #### public JavaLexer(InputBuffer ib)

    - #### public JavaLexer(LexerSharedInputState state)

  - ### Method Detail

    - #### public void enableAssert(boolean shouldEnable)

      Enable the "assert" keyword

    - #### public void enableEnum(boolean shouldEnable)

      Enable the "enum" keyword

    - #### public boolean isAssertEnabled()

      Query the "assert" keyword state

    - #### public boolean isEnumEnabled()

      Query the "enum" keyword state

    - #### public final void mASSIGN(boolean _createToken)

    - #### public final void mAT(boolean _createToken)

    - #### public final void mBAND(boolean _createToken)

    - #### public final void mBAND_ASSIGN(boolean _createToken)

    - #### public final void mBNOT(boolean _createToken)

    - #### public final void mBOR(boolean _createToken)

    - #### public final void mBOR_ASSIGN(boolean _createToken)

    - #### public final void mBSR(boolean _createToken)

    - #### public final void mBSR_ASSIGN(boolean _createToken)

    - #### public final void mBXOR(boolean _createToken)

    - #### public final void mBXOR_ASSIGN(boolean _createToken)

    - #### public final void mCHAR_LITERAL(boolean _createToken)

    - #### public final void mCOLON(boolean _createToken)

    - #### public final void mCOMMA(boolean _createToken)

    - #### public final void mDEC(boolean _createToken)

    - #### protected final void mDIGIT(boolean _createToken)

    - #### protected final void mDIGITS_WITH_UNDERSCORE(boolean _createToken)

    - #### protected final void mDIGITS_WITH_UNDERSCORE_OPT(boolean _createToken)

    - #### public final void mDIV(boolean _createToken)

    - #### public final void mDIV_ASSIGN(boolean _createToken)

    - #### public final void mEQUAL(boolean _createToken)

    - #### protected final void mESC(boolean _createToken)

    - #### protected final void mEXPONENT(boolean _createToken)

    - #### protected final void mFLOAT_SUFFIX(boolean _createToken)

    - #### public final void mGE(boolean _createToken)

    - #### public final void mGT(boolean _createToken)

    - #### protected final void mHEX_DIGIT(boolean _createToken)

    - #### public final void mIDENT(boolean _createToken)

    - #### public final void mINC(boolean _createToken)

    - #### public final void mLAND(boolean _createToken)

    - #### public final void mLBRACK(boolean _createToken)

    - #### public final void mLCURLY(boolean _createToken)

    - #### public final void mLE(boolean _createToken)

    - #### public final void mLNOT(boolean _createToken)

    - #### public final void mLOR(boolean _createToken)

    - #### public final void mLPAREN(boolean _createToken)

    - #### public final void mLT(boolean _createToken)

    - #### public final void mMINUS(boolean _createToken)

    - #### public final void mMINUS_ASSIGN(boolean _createToken)

    - #### public final void mML_COMMENT(boolean _createToken)

    - #### public final void mMOD(boolean _createToken)

    - #### public final void mMOD_ASSIGN(boolean _createToken)

    - #### public final void mNOT_EQUAL(boolean _createToken)

    - #### public final void mNUM_INT(boolean _createToken)

    - #### public final void mPLUS(boolean _createToken)

    - #### public final void mPLUS_ASSIGN(boolean _createToken)

    - #### public final void mQUESTION(boolean _createToken)

    - #### public final void mRBRACK(boolean _createToken)

    - #### public final void mRCURLY(boolean _createToken)

    - #### public final void mRPAREN(boolean _createToken)

    - #### public final void mSEMI(boolean _createToken)

    - #### public final void mSL(boolean _createToken)

    - #### public final void mSL_ASSIGN(boolean _createToken)

    - #### public final void mSL_COMMENT(boolean _createToken)

    - #### public final void mSR(boolean _createToken)

    - #### public final void mSR_ASSIGN(boolean _createToken)

    - #### public final void mSTAR(boolean _createToken)

    - #### public final void mSTAR_ASSIGN(boolean _createToken)

    - #### public final void mSTRING_LITERAL(boolean _createToken)

    - #### protected final void mVOCAB(boolean _createToken)

    - #### public final void mWS(boolean _createToken)

    - #### public Token nextToken()

    - #### public TokenStream plumb()

      This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed. Usage: new JavaRecognizer(new JavaLexer(in).plumb()).